<template>
  <div>
    <div class="max-w-[85rem] px-4 sm:px-6 mx-auto lg:py-16 lg:px-12">
      <div class="grid lg:grid-cols-3 gap-y-8 lg:gap-y-0 lg:gap-x-6">
        <div class="lg:col-span-2">
          <UBreadcrumb v-if="authenticated" :links="links" />
          <article class=" max-w-2xl format format-sm sm:format-base lg:format-lg format-blue mt-5">
            <header class="mb-4 lg:mb-6 not-format">
              <h1 class="mb-4 text-3xl font-extrabold leading-tight text-gray-900 lg:mb-6 lg:text-4xl">
                {{ data.title }}
              </h1>
            </header>
            <div v-for="(item, index) in data.text" :key="index" v-html="item"></div>
          </article>
        </div>
        <card-real-fake :news="data" :loading="loading" :comments="data.comments" :isLike="isLike" @load-data="loadData" />
      </div>
    </div>
  </div>
</template>

<script lang="ts" setup>
import {useNuxtApp} from "#app";
import type {Api} from "~/types/api";
import {useAuthStore} from "~/store/auth";


const route = useRoute()
const nuxtApp = useNuxtApp()
const $api = nuxtApp.$api as Api
const data = ref({})
const error = ref('')
const loading = ref(false)
const links = ref()
const isLike = ref(false)
const { authenticated } = storeToRefs(useAuthStore());

async function loadData() {
  try {
    loading.value = true
    data.value = await $api.getNewsById(route.params.id)
    isLike.value = articlesIsLike()
  } catch (e) {
    error.value = e.message
  } finally {
    loading.value = false
  }
}

const articlesIsLike = () => {
  if (data.value.User_News.length === 0) {
    return false
  }
  return data.value.User_News[0].liked
}

onMounted(() => {
  loadData().then(() => {
    links.value = [
      {
        label: 'Home',
        icon: 'i-heroicons-home'
      },
      {
        label: 'Articles',
        icon: 'i-heroicons-square-3-stack-3d',
        to: '/feed'
      },
      {
        label: data.value.title,
        icon: 'i-heroicons-rectangle-group-solid'
      }
    ]
  })
})
</script>